#
#	File:		Components.make
#	
#	Written by:	Peter Hoddie
#
#	Copyright:	 1992 by Apple Computer, Inc., all rights reserved.
#
#

OBJECTS = 	PictMediaHandler.c.o 
			SGChannelPict.c.o 
			SGPictPanel.c.o 
			ExportPICS.c.o 
			ImportScrapBook.c.o 
			PreviewPICS.c.o

Components  Components.make {OBJECTS} SampleCode.r
	Link -t 'thng' -c Salv -rt mhlr=128 -m PICTMEDIADISPATCH -ra resPurgeable -rn 
		PictMediaHandler.c.o 
		-o "Sample Components"
	Link -t 'thng' -c Salv -rt sgch=128 -m SGPICTDISPATCHER -ra resPurgeable -rn 
		SGChannelPict.c.o 
		"{Libraries}"Interface.o 
		"{Libraries}"Runtime.o 
		-o "Sample Components"
	Link -t 'thng' -c Salv -rt sgpn=128 -m PICTPANELDISPATCHER -ra resPurgeable -rn 
		SGPictPanel.c.o 
		-o "Sample Components"
	Link -t 'thng' -c Salv -rt 'eat '=128 -m EXPORTPICSDISPATCHER -ra resPurgeable -rn 
		ExportPICS.c.o 
		-o "Sample Components"
	Link -t 'thng' -c Salv -rt 'eat '=129 -m IMPORTSCRAPBOOKDISPATCHER -ra resPurgeable -rn 
		ImportScrapbook.c.o 
		-o "Sample Components"
	Link -t 'thng' -c Salv -rt pnot=128 -m PICSPREVIEWDISPATCH -ra resPurgeable -rn 
		PreviewPICS.c.o 
		-o "Sample Components"
	Rez -a SampleCode.r -o "Sample Components" 

PictMediaHandler.c.o  Components.make PictMediaHandler.c
	 C -r  PictMediaHandler.c -opt full -sym off -mbg full -warnings off
SGChannelPict.c.o  Components.make SGChannelPict.c
	 C -r  SGChannelPict.c -opt full -sym off -mbg full -warnings off
SGPictPanel.c.o  Components.make SGPictPanel.c
	 C -r  SGPictPanel.c -opt full -sym off -mbg full -warnings off
ExportPICS.c.o  Components.make ExportPICS.c
	 C -r  ExportPICS.c -opt full -sym off -mbg full -warnings off
ImportScrapbook.c.o  Components.make ImportScrapbook.c
	 C -r  ImportScrapbook.c -opt full -sym off -mbg full -warnings off
PreviewPICS.c.o  Components.make PreviewPICS.c
	 C -r  PreviewPICS.c -opt full -sym off -mbg full -warnings off
